Customer REST endpoints
vendor/magento/module-customer/etc/webapi.xml
GET
/V1/attributeMetadata/customer
Customer · Magento\Customer\Api\CustomerMetadataInterface::getAllAttributesMetadata
/V1/attributeMetadata/customer/attribute/:attributeCode
Customer · Magento\Customer\Api\CustomerMetadataInterface::getAttributeMetadata
/V1/attributeMetadata/customer/custom
Customer · Magento\Customer\Api\CustomerMetadataInterface::getCustomAttributesMetadata
/V1/attributeMetadata/customer/form/:formCode
Customer · Magento\Customer\Api\CustomerMetadataInterface::getAttributes
/V1/attributeMetadata/customerAddress
Customer · Magento\Customer\Api\AddressMetadataInterface::getAllAttributesMetadata
/V1/attributeMetadata/customerAddress/attribute/:attributeCode
Customer · Magento\Customer\Api\AddressMetadataInterface::getAttributeMetadata
/V1/attributeMetadata/customerAddress/custom
Customer · Magento\Customer\Api\AddressMetadataInterface::getCustomAttributesMetadata
/V1/attributeMetadata/customerAddress/form/:formCode
Customer · Magento\Customer\Api\AddressMetadataInterface::getAttributes
/V1/customerGroups/:id
Get customer group by group ID.
Customer · Magento\Customer\Api\GroupRepositoryInterface::getById
/V1/customerGroups/:id/permissions
Check if customer group can be deleted.
Customer · Magento\Customer\Api\GroupManagementInterface::isReadonly
/V1/customerGroups/default
Get default customer group.
Customer · Magento\Customer\Api\GroupManagementInterface::getDefaultGroup
/V1/customerGroups/default/:storeId
Get default customer group.
Customer · Magento\Customer\Api\GroupManagementInterface::getDefaultGroup
/V1/customerGroups/search
Retrieve customer groups.
Customer · Magento\Customer\Api\GroupRepositoryInterface::getList
/V1/customers/:customerId
Get customer by Customer ID.
Customer · Magento\Customer\Api\CustomerRepositoryInterface::getById
/V1/customers/:customerId/billingAddress
Retrieve default billing address for the given customerId.
Customer · Magento\Customer\Api\AccountManagementInterface::getDefaultBillingAddress
/V1/customers/:customerId/confirm
Gets the account confirmation status.
Customer · Magento\Customer\Api\AccountManagementInterface::getConfirmationStatus
/V1/customers/:customerId/password/resetLinkToken/:resetPasswordLinkToken
AnonymousCheck if password reset token is valid.
Customer · Magento\Customer\Api\AccountManagementInterface::validateResetPasswordLinkToken
/V1/customers/:customerId/permissions/readonly
Check if customer can be deleted.
Customer · Magento\Customer\Api\AccountManagementInterface::isReadonly
/V1/customers/:customerId/shippingAddress
Retrieve default shipping address for the given customerId.
Customer · Magento\Customer\Api\AccountManagementInterface::getDefaultShippingAddress
/V1/customers/addresses/:addressId
Retrieve customer address.
Customer · Magento\Customer\Api\AddressRepositoryInterface::getById
/V1/customers/me
SelfGet customer by Customer ID.
Customer · Magento\Customer\Api\CustomerRepositoryInterface::getById
/V1/customers/me/billingAddress
SelfRetrieve default billing address for the given customerId.
Customer · Magento\Customer\Api\AccountManagementInterface::getDefaultBillingAddress
/V1/customers/me/shippingAddress
SelfRetrieve default shipping address for the given customerId.
Customer · Magento\Customer\Api\AccountManagementInterface::getDefaultShippingAddress
/V1/customers/search
Retrieve customers which match a specified criteria.
Customer · Magento\Customer\Api\CustomerRepositoryInterface::getList
POST
/V1/customerGroups
Save customer group.
Customer · Magento\Customer\Api\GroupRepositoryInterface::save
/V1/customers
AnonymousCreate customer account. Perform necessary business operations like sending email.
Customer · Magento\Customer\Api\AccountManagementInterface::createAccount
/V1/customers/activate
AnonymousActivate a customer account using a key that was sent in a confirmation email.
Customer · Magento\Customer\Api\AccountManagementInterface::activate
/V1/customers/confirm
Resend confirmation email.
Customer · Magento\Customer\Api\AccountManagementInterface::resendConfirmation
/V1/customers/isEmailAvailable
AnonymousCheck if given email is associated with a customer account in given website.
Customer · Magento\Customer\Api\AccountManagementInterface::isEmailAvailable
/V1/customers/resetPassword
AnonymousReset customer password.
Customer · Magento\Customer\Api\AccountManagementInterface::resetPassword
PUT
/V1/customerGroups/:id
Save customer group.
Customer · Magento\Customer\Api\GroupRepositoryInterface::save
/V1/customerGroups/default/:id
Set system default customer group.
Customer · Magento\Customer\Api\CustomerGroupConfigInterface::setDefaultCustomerGroup
/V1/customers/:customerId
Create or update a customer.
Customer · Magento\Customer\Api\CustomerRepositoryInterface::save
/V1/customers/:email/activate
Activate a customer account using a key that was sent in a confirmation email.
Customer · Magento\Customer\Api\AccountManagementInterface::activate
/V1/customers/me
SelfCreate or update a customer.
Customer · Magento\Customer\Api\CustomerRepositoryInterface::save
/V1/customers/me/activate
SelfActivate a customer account using a key that was sent in a confirmation email.
Customer · Magento\Customer\Api\AccountManagementInterface::activateById
/V1/customers/me/password
SelfChange customer password.
Customer · Magento\Customer\Api\AccountManagementInterface::changePasswordById
/V1/customers/password
AnonymousSend an email to the customer with a password reset link.
Customer · Magento\Customer\Api\AccountManagementInterface::initiatePasswordReset
/V1/customers/validate
Validate customer data.
Customer · Magento\Customer\Api\AccountManagementInterface::validate
DELETE
/V1/addresses/:addressId
Delete customer address by ID.
Customer · Magento\Customer\Api\AddressRepositoryInterface::deleteById
/V1/customerGroups/:id
Delete customer group by ID.
Customer · Magento\Customer\Api\GroupRepositoryInterface::deleteById
/V1/customers/:customerId
Delete customer by Customer ID.
Customer · Magento\Customer\Api\CustomerRepositoryInterface::deleteById
Every Magento dev tool, in one hosted workspace.
Free to sign up. Nothing to install. Drafts, audits, and projects saved across every tool.